(let ((lst (list 1 2 3)))
  (write "# lst = ") (write-line lst)
  (expect "Length of list is 3" (= (length lst) 3))
  (expect "First element is 1" (= (first lst) 1))
  (expect "Second element is 2" (= (second lst) 2))
  (expect "Third element is 3" (= (nth 2 lst) 3))
  (expect "Equal to itself" (equal lst lst))
  (expect "Equal to identical list" (equal lst (list 1 2 3)))
  (expect "Not equal to different list" (not (equal lst (list 2 3 4))))
  (expect "Reduce with +" (= (reduce + lst) 6))
  (expect "Map doubling values" (equal (map (lambda (x) (* x 2)) lst) (list 2 4 6)))
  )

(expect "equal tests recursively 1"
        (equal (list (list 1) (list 2)) (list (list 1) (list 2))))

(expect "equal tests recursively 2"
        (not (equal (list (list 1) (list 2)) (list (list 1) (list 3)))))
